# services/gitea/service.yaml
apiVersion: v1
kind: Service
metadata:
  name: gitea
  namespace: gitea
  labels:
    app: gitea
spec:
  type: ClusterIP
  ports:
    - port: 3000
      targetPort: 3000
      protocol: TCP
      name: http
  selector:
    app: gitea
---
apiVersion: v1
kind: Service
metadata:
  name: gitea-ssh
  namespace: gitea
  annotations:
    metallb.universe.tf/address-pool: communication-pool
    metallb.universe.tf/allow-shared-ip: traefik
spec:
  type: LoadBalancer
  loadBalancerClass: metallb
  loadBalancerIP: 192.168.22.9
  selector:
    app: gitea
  ports:
    - name: ssh
      port: 2242
      targetPort: 2242
